function atualizaCEP(cep) {
    ajax = ajaxInit();
    if(ajax) {
        ajax.open("GET", "../lib/protocolo.php?cep=" + cep, true);
        ajax.onreadystatechange = function() {
            document.body.style.cursor = 'wait';  
            if(ajax.readyState == 4) {
			   if(ajax.responseXML) {
				  cepXML(ajax.responseXML);                 
				  document.body.style.cursor = 'default';
			   }			  
            }
        }
		ajax.send(null);
    }
    return false;
}

function cepXML(obj){
    var dataArray   = obj.getElementsByTagName("cep");
    if(dataArray.length > 0) {
        for(var i = 0 ; i < dataArray.length ; i++) {
            var cep 		= dataArray[i];
			var data_cadastro  		= '';
			var data_hora  			= '';
			var responsavel_nome  	= '';
			var responsavel_telefone= '';
			var responsavel_tipo  	= '';
			var trabalhador_nome  	= '';
			var trabalhador_cpf		= '';
			var empresa_cnpj		= '';
			var empresa_nome		= '';
			var status		= '';
			

			if (cep.getElementsByTagName("data_cadastro")[0].firstChild) {
                data_cadastro    =  cep.getElementsByTagName("data_cadastro")[0].firstChild.nodeValue;
			}
			if (cep.getElementsByTagName("data_hora")[0].firstChild) {
                data_hora    =  cep.getElementsByTagName("data_hora")[0].firstChild.nodeValue;
			}
			if (cep.getElementsByTagName("status")[0].firstChild) {
                status    =  cep.getElementsByTagName("status")[0].firstChild.nodeValue;
			}

			if (cep.getElementsByTagName("responsavel_nome")[0].firstChild) {
                responsavel_nome    =  cep.getElementsByTagName("responsavel_nome")[0].firstChild.nodeValue;
			}

			if (cep.getElementsByTagName("responsavel_telefone")[0].firstChild) {
                responsavel_telefone    =  cep.getElementsByTagName("responsavel_telefone")[0].firstChild.nodeValue;
			}

			if (cep.getElementsByTagName("responsavel_tipo")[0].firstChild) {
                responsavel_tipo    =  cep.getElementsByTagName("responsavel_tipo")[0].firstChild.nodeValue;
			}

			if (cep.getElementsByTagName("trabalhador_nome")[0].firstChild) {
                trabalhador_nome    =  cep.getElementsByTagName("trabalhador_nome")[0].firstChild.nodeValue;
			}

			if (cep.getElementsByTagName("trabalhador_cpf")[0].firstChild) {
                trabalhador_cpf    =  cep.getElementsByTagName("trabalhador_cpf")[0].firstChild.nodeValue;
			}

			if (cep.getElementsByTagName("empresa_cnpj")[0].firstChild) {
                empresa_cnpj    =  cep.getElementsByTagName("empresa_cnpj")[0].firstChild.nodeValue;
			}
			if (cep.getElementsByTagName("empresa_nome")[0].firstChild) {
                empresa_nome    =  cep.getElementsByTagName("empresa_nome")[0].firstChild.nodeValue;
			}



			document.getElementById("data_cadastro").value = data_cadastro;
			document.getElementById("data_hora").value = data_hora;
			document.getElementById("status").value = status;
			document.getElementById("responsavel_nome").value = responsavel_nome;
			document.getElementById("responsavel_telefone").value = responsavel_telefone;
			document.getElementById("responsavel_tipo").value = responsavel_tipo;
			document.getElementById("trabalhador_nome").value = trabalhador_nome;
			document.getElementById("trabalhador_cpf").value = trabalhador_cpf;
			document.getElementById("empresa_cnpj").value = empresa_cnpj;
			document.getElementById("empresa_nome").value = empresa_nome;
			}
    }	
}
